Method
GET /v1/comms/templates/:id
Path Parameters
uuid
required
Template ID.
Headers
string
Bearer token (requires
comms:read).Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl "https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q" \
-H "Authorization: Bearer $VOYANT_API_KEY"
const res = await fetch("https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q", {
headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
})
const template = await res.json()
import os, requests
resp = requests.get(
"https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q",
headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
)
template = resp.json()
{
"id": "tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q",
"workspace_id": "ws_01HZYPM2QF2R8X9SZQ0J9SYBCN",
"name": "Booking Confirmation",
"key": "booking_confirmation",
"channel": "email",
"purpose": "transactional",
"status": "active",
"created_at": "2025-01-08T10:22:31.000Z",
"updated_at": "2025-02-02T14:12:40.000Z"
}
{ "error": "Template not found" }
Fetch a communication template by ID.
GET /v1/comms/templates/:id
comms:read).curl "https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q" \
-H "Authorization: Bearer $VOYANT_API_KEY"
const res = await fetch("https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q", {
headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
})
const template = await res.json()
import os, requests
resp = requests.get(
"https://api.voyantcloud.com/v1/comms/templates/tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q",
headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
)
template = resp.json()
{
"id": "tmpl_01J0CBFPXW7SP2N8A9Q7T2048Q",
"workspace_id": "ws_01HZYPM2QF2R8X9SZQ0J9SYBCN",
"name": "Booking Confirmation",
"key": "booking_confirmation",
"channel": "email",
"purpose": "transactional",
"status": "active",
"created_at": "2025-01-08T10:22:31.000Z",
"updated_at": "2025-02-02T14:12:40.000Z"
}
{ "error": "Template not found" }